
function strfy_col_xy( x, y )
	return "0", "0", "0"
	-- r, g, b, a = game.zonedata:getPixel(
	-- 	(game.world_xoff * game.zoom) - x,
	-- 	(game.world_yoff * game.zoom) - y
	-- )
	-- r_s = string.format( "%.3f", r )
	-- g_s = string.format( "%.3f", g )
	-- b_s = string.format( "%.3f", b )
	-- return r_s, g_s, b_s
end

function print_colour(map, name, x, y)
	local r, g, b, a = map:getPixel( x, y )
	printf("%s := r: %.3f, g: %.3f, b: %.3f", name, r, g, b)
end

function load_basemap(drawable)
	local map = love.graphics.newImage(drawable)
	local w = map:getWidth( )
	local h = map:getHeight( )
	local count = w * h
	local ret = {}
	for i = 1, w, 1 do
		ret[i] = {}
		for j = 1, h, 1 do
			local r, g, b, a = drawable:getPixel( i - 1, j - 1 )
			if r == 1 and g == 1 and b == 1 then
				ret[i][j] = 0
			elseif r == 0 and g == 0 and b == 0 then
				ret[i][j] = 1
			else
				return nil
				-- lua is kill
			end
		end
	end
	return ret
end
